﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGrid_EnterEditMode_cell
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = CreateDataForTest();

            // Try to enter in edit mode on the cell
            //ultraGrid1.Rows[2].Activate();
            ultraGrid1.ActiveCell = ultraGrid1.Rows[2].Cells[0];
            ultraGrid1.PerformAction(UltraGridAction.EnterEditMode, false, false);
        }

        private DataTable CreateDataForTest()
        {
            DataTable dt = new DataTable();
            DataColumn dc1 = new DataColumn("String");
            dc1.DataType = typeof(String);

            dt.Columns.Add(dc1);
            for (int i = 0; i < 5; i++)
            {
                DataRow dr = dt.NewRow();
                dt.Rows.Add(dr);
            }

            return dt;
        }
    }
}
